Subject: Re: [bug#46249] [PATCH] Update documented default PostgreSQL socket-directory

From: Ben Sturmfels <[email-masked]>
Date: Tue, 02 Feb 2021 22:20:18 +1100

On Tue, 02 Feb 2021, Mathieu Othacehe wrote:

> Hey Ben,
>
>> It looks like the documented default for PostgreSQL's socket-directory
>> variable should be "/var/run/postgresql", when it's currently
>> "/var/lib/postgresql" (the data directory). I've attached a patch.
>> Here's the original commit (thanks lfam for the IRC help):
>
> That's a dumb mistake on my part, thanks for fixing it.
>
>> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=6c0679215f4ffa534c1eb2e8c8a6e043a0c993fe
>>
>> Also noticed that since a recent reconfigure, my `psql` and `createdb`
>> commands now need an explicit `-h /var/run/postgresql` argument to
>> connect to the local database where one wasn't needed before - they look
>> in /tmp by default.
>
> Yes when the socket directory is enabled in PostgreSQL those tools try
> to use it but with the default directory set to "/tmp". I have pushed a
> patch on core-updates to set the default socket directory to
> "/var/run/postgresql" like most of the other distributions.
>
> In the meantime you can set the "socket-directory" field of
> "postgresql-config-file" to #f to restore the previous behaviour.

Thanks for the quick follow-up Mathieu, that's very helpful.

While I'm bothering you, those comments "XXX: Remove when postgresql
default socket directory is changed to /var/run/postgresql" looked like
they could be might be redundant now. Is that the case?

Thanks again,
Ben